# Uses of Interface
java.net.SocketImplFactory

Packages that use SocketImplFactory
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of SocketImplFactory in java.net

Methods in java.net with parameters of type SocketImplFactory
Modifier and Type
Method
Description
`static void`
ServerSocket.`setSocketFactory(SocketImplFactory fac)`
Deprecated.
Use a `ServerSocketFactory` and subclass `ServerSocket` directly.
`static void`
Socket.`setSocketImplFactory(SocketImplFactory fac)`
Deprecated.
Use a `SocketFactory` and subclass `Socket` directly.